[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.GetSystemMetrics

Retrieves various system metrics.

## Declaration

Source position: winapih.inc line 150

`public function TWidgetSet.GetSystemMetrics(`
`nIndex: Integer`
`):Integer; virtual;`

## Arguments

`nIndex` |  | The requested item.

## Function result

Depends on the requested item.

## Description

All dimensions are measured in pixels.

These are the available system metrics parameters:

- SM_ARRANGE
- SM_CLEANBOOT
- SM_CMONITORS
- SM_CMOUSEBUTTONS
- SM_CXBORDER
- SM_CYBORDER
- SM_CXCURSOR
- SM_CXCURSOR
- SM_CXDLGFRAME
- SM_CYDLGFRAME
- SM_CXDOUBLECLK
- SM_CXDOUBLECLK
- SM_CXDRAG
- SM_CXDRAG
- SM_CXEDGE
- SM_CXEDGE
- SM_CXFIXEDFRAME
- SM_CYFIXEDFRAME
- SM_CXFOCUSBORDER
- SM_CXFRAME
- SM_CYFRAME
- SM_CXFULLSCREEN
- SM_CYFULLSCREEN
- SM_CXHSCROLL
- SM_CYHSCROLL
- SM_CXHTHUMB
- SM_CXICON
- SM_CYICON
- SM_CXICONSPACING
- SM_CYICONSPACING
- SM_CYMAXIMIZED
- SM_CYMAXIMIZED
- SM_CXMAXTRACK
- SM_CYMAXTRACK
- SM_CXMENUCHECK
- SM_CYMENUCHECK
- SM_CXMENUSIZE
- SM_CYMENUSIZE
- SM_CXMIN
- SM_CYMIN
- SM_CXMINIMIZED
- SM_CYMINIMIZED
- SM_CXMINSPACING
- SM_CYMINSPACING
- SM_CXMINTRACK
- SM_CYMINTRACK
- SM_CXSCREEN
- SM_CYSCREEN
- SM_CXSIZE
- SM_CYSIZE
- SM_CXSIZEFRAME
- SM_CYSIZEFRAME
- SM_CXSMICON
- SM_CYSMICON
- SM_CXSMSIZE
- SM_CYSMSIZE
- SM_CXVIRTUALSCREEN
- SM_CYVIRTUALSCREEN
- SM_CXVSCROLL
- SM_CYVSCROLL
- SM_CYCAPTION
- SM_CYKANJIWINDOW
- SM_CYMENU
- SM_CYSMCAPTION
- SM_CYVTHUMB
- SM_DBCSENABLED
- SM_DEBUG
- SM_IMEENABLED
- SM_MEDIACENTER
- SM_MENUDROPALIGNMENT
- SM_MIDEASTENABLED
- SM_MOUSEPRESENT
- SM_MOUSEWHEELPRESENT
- SM_NETWORK
- SM_PENWINDOWS
- SM_REMOTECONTROL
- SM_REMOTESESSION
- SM_SECURE
- SM_SAMEDISPLAYFORMAT
- SM_SHOWSOUNDS
- SM_SHUTTINGDOWN
- SM_SLOWMACHINE
- SM_SWAPBUTTON
- SM_TABLETPC
- SM_XVIRTUALSCREEN
- SM_YVIRTUALSCREEN